package com.testor.module.sys.model.dto;

import com.testor.biz.sys.user.model.domain.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: SysUserResponse
 * @Description: TODO
 * @Author: lm
 * @CreateTime: 2024/1/2 10:00
 * @Version: 1.0
 */
@Data
public class SysUserResponse extends SysUser {

    @ApiModelProperty("IAM用户id")
    private String iamUserId;

    @ApiModelProperty("人员类型")
    private String userTypeCode;

    private static final long serialVersionUID = -6926573232286525332L;

    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof SysUserResponse)) {
            return false;
        } else {
            SysUserResponse other = (SysUserResponse)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                return super.equals(o);
            }
        }
    }

    @Override
    protected boolean canEqual(final Object other) {
        return other instanceof SysUserResponse;
    }

    @Override
    public int hashCode() {
        int result = super.hashCode();
        return result;
    }

    public SysUserResponse() {
    }

    @Override
    public String toString() {
        return "SysUserResponse()";
    }
}
